Subject: Re: linux-next: Tree for May 15 (several RV64 build errors)

From: Conor Dooley <[email-masked]>
Date: Fri, 19 May 2023 12:22:18 +0100

On Fri, May 19, 2023 at 12:42:55PM +0200, Alexandre Ghiti wrote:

> > > /opt/crosstool/gcc-12.2.0-nolibc/riscv64-linux/bin/riscv64-linux-ld:
> > > section .data LMA [000000000041a000,00000000075bffd7] overlaps
> > > section .text LMA [00000000000f09d4,00000000033562ab]
> > > /opt/crosstool/gcc-12.2.0-nolibc/riscv64-linux/bin/riscv64-linux-ld:
> > > section .init.pi.text LMA [00000000033562ac,0000000003359137]
> > > overlaps section .data LMA [000000000041a000,00000000075bffd7]
> > 
> > 
> > I'll check this one too which seems to be related to kernel/pi
> > introduction.
> 
> 
> Thanks to Bjorn: this is caused by XIP_KERNEL, which is known to have
> limited size, hence the overlap, so no fix for this one. Is there a way to
> exclude this config from randconfig?

What exactly is the problem? That the randconfig is too big for the max
XIP kernel size?
We already disable half the world for XIP, is turning off the pi stuff
an option? It's already turned off for 32-bit, right?